window.onload = function(){
	setInterval(drawClock, 1000);
}

function drawClock() {
	var canvas = document.getElementById('analogClock');
	var ctx = canvas.getContext('2d');

	// Go to center
	ctx.clearRect(0, 0, 300, 300);
	ctx.save();
	ctx.translate(150, 150);

	// Draw two circles
	ctx.beginPath();
	ctx.fillStyle = "rgb(255, 255, 255)";
	ctx.lineWidth = 8;
	ctx.arc(0,0,145,0,Math.PI*2,true);
	ctx.fill();

 	ctx.beginPath();
	ctx.fillStyle = "rgb(0, 0, 0)";
	ctx.arc(0,0,10,0,Math.PI*2,true);
	ctx.fill();

	ctx.beginPath();
	ctx.strokeStyle = "rgb(200, 0, 0)";
	ctx.arc(0,0,145,0,Math.PI*2,true);
	ctx.stroke();

	// Draw the numbers
	for(var i = 1; i <=12; i++) {
		ctx.save();
		ctx.font = "26px 'Arial'";
        ctx.rotate((360 / 12 * i)* Math.PI/180);
        ctx.translate(0, -125);
        ctx.rotate(-((360 / 12 * i) * Math.PI / 180));
        ctx.textAlign = "center";
        ctx.fillStyle = "rgb(160, 160, 160)";
        ctx.fillText(i, 0, 10);
        ctx.restore();
	}

	// get Times
	var now = new Date();
	var hh = now.getHours();
	var mm = now.getMinutes();
	var ss = now.getSeconds();

	// hh hand
	ctx.save();
	ctx.beginPath();
	ctx.rotate( hh*(Math.PI/6) + (Math.PI/360)*mm + (Math.PI/21600)*ss );
	ctx.moveTo(0, 0);
	ctx.lineTo(0, -100);
	ctx.shadowColor = "gray";
	ctx.shadowOffsetX = 2;
	ctx.shadowOffsetY = 2;
	ctx.shadowBlur = 2;
	ctx.lineWidth = 8;
	ctx.lineCap = "round";
	ctx.strokeStyle = 'rgb(0, 0, 0)';
	ctx.stroke();
	ctx.restore();

	// mm hand
	ctx.save();
	ctx.beginPath();
	ctx.rotate( (Math.PI/30)*mm + (Math.PI/1800)*ss );
	ctx.moveTo(0, 0);
	ctx.lineTo(0, -105);
	ctx.shadowColor = "gray";
	ctx.shadowOffsetX = 1;
	ctx.shadowOffsetY = 1;
	ctx.shadowBlur = 2;	ctx.lineWidth = 5;
	ctx.lineCap = "round";
	ctx.strokeStyle = 'rgb(0, 0, 0)';
	ctx.stroke();
	ctx.restore();

	// ss hand
	ctx.save();
	ctx.beginPath();
	ctx.rotate(ss * Math.PI/30);
	ctx.moveTo(0, 0);
	ctx.lineTo(0, -105);
	ctx.shadowColor = "gray";
	ctx.shadowOffsetX = 1;
	ctx.shadowOffsetY = 1;
	ctx.shadowBlur = 2;
	ctx.lineWidth = 8;
	ctx.lineWidth = 2;
	ctx.lineCap = "round";
	ctx.strokeStyle = 'rgb(0, 0, 0)';
	ctx.stroke();
	ctx.restore();

 	ctx.beginPath();
	ctx.fillStyle = "rgb(0, 0, 0)";
	ctx.arc(0,0,10,0,Math.PI*2,true);
	ctx.fill();
	ctx.restore();
}
