// おえかきスクリプト
var canvas; //キャンバス
var canvascontext; //キャンバスコンテキスト
var canvasWidth = 600; //キャンバス横サイズ
var canvasHight = 300; //キャンバス縦サイズ
var mouseX = new Array();
var mouseY = new Array();
var mouseDownFlag = false; //マウスダウンフラグ
var lineL = 10; //線の太さ
var touchCount = 0;
window.onload = function() {
	init();
};
function init() {
	//キャンバスの初期処理
	canvas = document.getElementById('Canvas');
	if ( ! canvas || ! canvas.getContext ) return false;
	//
	canvascontext = canvas.getContext('2d');
	//マウスイベント
	canvas.addEventListener("mousedown", mouseDownListner, false);
	canvas.addEventListener("mousemove", mouseMoveListner, false);
	canvas.addEventListener("mouseup", mouseUpListner, false);
	canvas.addEventListener("mouseout", mouseOutListner, false);
	//スマフォ対応
	canvas.addEventListener("touchstart", mouseDownListner, false);
	canvas.addEventListener("touchmove", mouseMoveListner, false);
	canvas.addEventListener("touchend", mouseUpListner, false);
	canvas.addEventListener("touchcancel", mouseOutListner, false);
}

//座標調整
function adjustXY(e) {
	var rect = e.target.getBoundingClientRect();
	//配列クリア
	mouseX.splice(0, mouseX.length);
	mouseY.splice(0, mouseY.length);
	//ユーザーエージェント
	var isiPad = navigator.userAgent.match(/iPad/i) != null;
	var isiPhone = navigator.userAgent.match(/iPhone/i) != null;
	var isAndroid = navigator.userAgent.match(/Android/i) != null;
	//座標取得
	if (isiPad || isiPhone || isAndroid) {
		//iPadとiPhoneとAndroid処理
		for (i = 0; i < 5; i++) {
			if (event.touches[i]) {
				mouseX[i] = e.touches[i].pageX - rect.left;
				mouseY[i] = e.touches[i].pageY - rect.top;
			}
		}
	} else {
		//PC用処理
		mouseX[0] = e.clientX - rect.left;
		mouseY[0] = e.clientY - rect.top;
	}
}

//クリア
function clearCanvas() {
	//表示クリア
	canvascontext.clearRect(0, 0, canvasWidth, canvasHight);
	//画像描画
	addImageData();
}

//マウスイベント
function mouseDownListner(e) {
	mouseDownFlag = true;
}

function mouseMoveListner(e) {
	if (mouseDownFlag) {
		//縦スクロールをしない（iPad & iPhone & Android）
		e.preventDefault();
		//座標調整
		adjustXY(e);
		//円を描く
		for (i = 0; i < mouseX.length; i++) {
			canvascontext.beginPath();
			canvascontext.fillStyle = "#000000";
			canvascontext.arc(mouseX[i], mouseY[i], lineL , 0, Math.PI * 2, false);
			canvascontext.fill();
		}
	}
}

function mouseUpListner(e) {
	mouseDownFlag = false;
}

function mouseOutListner(e) {
	mouseDownFlag = false;
}