// JavaScript Document
function checkGeoAvailable(){
  return !(navigator.geolocation == undefined);
}

window.addEventListener('load', function(){
	detectBrowser();
	getStart();
}, false);

// ブラウザの判別
function detectBrowser() {
	var useragent = navigator.userAgent;
	var mapdiv = document.getElementById("myMap");

	if (useragent.indexOf('iPhone') != -1 || useragent.indexOf('Android') != -1 ) {
		mapdiv.style.width = '300px';
		mapdiv.style.height = '300px';
	} else {
		mapdiv.style.width = '600px';
		mapdiv.style.height = '800px';
	}
}

function getStart(){
	var opt = { 
		enableHighAccuracy: true, 
		timeout: 10000,	// タイムアウト（ミリ秒＝10秒）
		maximumAge: 0	// キャッシュ有効期限
	};
	if (navigator.geolocation) {
		navigator.geolocation.getCurrentPosition(
			getPosition,
			error,
			opt
		);
	} else {
		return;
	}
}

// 位置の取得
function getPosition(pos){
	var lat = pos.coords.latitude;
	var lng = pos.coords.longitude;
	makeMap(lat,lng);
}

function error(err){
	alert("エラー：" + err.code + "\n" + err.message);
}

function makeMap(lat,lng){
	var elm = document.getElementById("myMap");
	var latlng = new google.maps.LatLng(lat,lng);

	var opt = {
		zoom: 16,
		center: latlng,
		mapTypeId: google.maps.MapTypeId.ROADMAP,
		scaleControl: true
	};
	var map = new google.maps.Map(elm,opt);

	var opt = {
		position: latlng,
		map: map,
		title: "いまここ情報"
	};
	var marker = new google.maps.Marker(opt);
	var info ="あなたが今いるところはここです！<br /><li>"+"緯度：" + lat + "</li>";
	info += "<li>"+"経度：" + lng + "</li>";
	
	var infowindow = new google.maps.InfoWindow({
		content: info
	});
        // リスナーに追加することで情報ウィンドウの表示／非表示を切り替える
        google.maps.event.addListener(marker, 'click', function() {
			infowindow.open(map,marker);
		});
    }

	function savePosition(){
		//var lat = pos.coords.latitude;
		//var lng = pos.coords.longitude;
		alert("Save?" + info + this);
}